Skip to main content
`Ctrl`+`K`

# MatSTRUMPACKSetGPU

Set whether STRUMPACK https://portal.nersc.gov/project/sparse/strumpack/master should enable GPU acceleration (not supported for all compression types)

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSTRUMPACKSetGPU(Mat F, PetscBool gpu)

Logically Collective

## Input Parameters

- F - the factored matrix obtained by calling `MatGetFactor()` from PETSc-STRUMPACK interface

- gpu - whether or not to use GPU acceleration

## Options Database Key

- -mat_strumpack_gpu <gpu> - true to use gpu offload

## See Also

`MATSOLVERSTRUMPACK`, `MatGetFactor()`, `MatSTRUMPACKGetGPU()`

## Level

intermediate

## Location

src/mat/impls/aij/mpi/strumpack/strumpack.c

## Implementations

MatSTRUMPACKSetGPU_STRUMPACK() in src/mat/impls/aij/mpi/strumpack/strumpack.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages